## helma.objectmodel.db
Interface NodeChangeListener

All Known Implementing Classes:
  Replicator

    public interface NodeChangeListener

Method Summary
`void` `nodesChanged(java.util.List inserted, java.util.List updated, java.util.List deleted, java.util.List parents)` Called when a transaction is committed that has created, modified, deleted or changed the child collection one or more nodes.

Method Detail

### nodesChanged

    void nodesChanged(java.util.List inserted,
                      java.util.List updated,
                      java.util.List deleted,
                      java.util.List parents)

  Called when a transaction is committed that has created, modified, deleted or changed the child collection one or more nodes.

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.